com.hazelcast.spi.merge

## Interface SplitBrainMergeTypes.MapMergeTypes

- All Superinterfaces:
    MergingCosts<Data>, MergingCreationTime<Data>, MergingEntry<Data,Data>, MergingExpirationTime<Data>, MergingHits<Data>, MergingLastAccessTime<Data>, MergingLastStoredTime<Data>, MergingLastUpdateTime<Data>, MergingMaxIdle<Data>, MergingTTL<Data>, MergingValue<Data>, MergingVersion<Data>
  Enclosing class:
    SplitBrainMergeTypes

      public static interface SplitBrainMergeTypes.MapMergeTypes
      extends MergingEntry<Data,Data>, MergingCreationTime<Data>, MergingHits<Data>, MergingLastAccessTime<Data>, MergingLastUpdateTime<Data>, MergingTTL<Data>, MergingMaxIdle<Data>, MergingCosts<Data>, MergingVersion<Data>, MergingExpirationTime<Data>, MergingLastStoredTime<Data>

  Provided merge types of `IMap`.
  Since:
    3.10

- - ### Method Summary

    - ### Methods inherited from interface com.hazelcast.spi.merge.MergingEntry

      `getDeserializedKey, getKey`

    - ### Methods inherited from interface com.hazelcast.spi.merge.MergingCreationTime

      `getCreationTime`

    - ### Methods inherited from interface com.hazelcast.spi.merge.MergingHits

      `getHits`

    - ### Methods inherited from interface com.hazelcast.spi.merge.MergingLastAccessTime

      `getLastAccessTime`

    - ### Methods inherited from interface com.hazelcast.spi.merge.MergingLastUpdateTime

      `getLastUpdateTime`

    - ### Methods inherited from interface com.hazelcast.spi.merge.MergingTTL

      `getTtl`

    - ### Methods inherited from interface com.hazelcast.spi.merge.MergingMaxIdle

      `getMaxIdle`

    - ### Methods inherited from interface com.hazelcast.spi.merge.MergingCosts

      `getCost`

    - ### Methods inherited from interface com.hazelcast.spi.merge.MergingVersion

      `getVersion`

    - ### Methods inherited from interface com.hazelcast.spi.merge.MergingExpirationTime

      `getExpirationTime`

    - ### Methods inherited from interface com.hazelcast.spi.merge.MergingLastStoredTime

      `getLastStoredTime`

    - ### Methods inherited from interface com.hazelcast.spi.merge.MergingValue

      `getDeserializedValue, getValue`

Copyright © 2019. All rights reserved.